Loading...
Searching...
No Matches
Yum repo high level function

## Functions

gboolean | lr_repoutil_yum_check_repo (const char *path, GError **err)
gboolean | lr_repoutil_yum_parse_repomd (const char *path, LrYumRepoMd *repomd, GError **err)
double | lr_yum_repomd_get_age (LrResult *result)

## Detailed Description

## Function Documentation

## lr_repoutil_yum_check_repo()

gboolean lr_repoutil_yum_check_repo | ( | const char * | path,
|  | GError ** | err )

Check checksum of selected repository.

Parameters

  path | Path to directory containing "repodata" subdir.
  err | GError **

Returns
  TRUE is everything is ok, FALSE if err is set.

## lr_repoutil_yum_parse_repomd()

gboolean lr_repoutil_yum_parse_repomd | ( | const char * | path,
|  | LrYumRepoMd * | repomd,
|  | GError ** | err )

Parse repomd.xml file.

Parameters

  path | Path to repository or to the repomd file
  repomd | Empty repomd object
  err | GError **

Returns
  TRUE is everything is ok, FALSE if err is set.

## lr_yum_repomd_get_age()

double lr_yum_repomd_get_age | ( | LrResult * | result | ) |

Return age of the repomd.xml (based on mtime of the file and the current time)

Parameters

  result | Result object

Returns
  Age of the file (number of seconds since last modification)